package com.caliverse.admin.domain.dao.admin;

import com.caliverse.admin.domain.entity.Authority;
import com.caliverse.admin.domain.entity.Groups;
import com.caliverse.admin.domain.request.GroupRequest;

import java.util.List;
import java.util.Map;

public interface GroupMapper {

    // 그룹명 조회 by group_id
    Map<String,String> getGroupInfo(Long groupId);

    //권한 상세 조회
    List<Authority> getGroupAuth(Long groupId);

    // 권한 리스트 조회
    List<Groups> getGroupList(Map map);

    int findGroupName(String groupNm);
    int getAllCnt();
    // 권한 등록
    void postAdminGroup(GroupRequest groupRequest);

    //group_auth 테이블 삭제 by groupId
    void deleteGroupAuth(String groupId);

    void insertGroupAuth(Map map);

    // 권한 그룹 삭제(update deleted)
    void deleteGroup(Long groupId);


}
